digiKam Developer Documentation: Digikam::ImageRegionItem Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ImageRegionItem Class Reference
Inheritance diagram for Digikam::ImageRegionItem:

## Public Member Functions
| ImageRegionItem (ImageRegionWidget *const view, bool paintExtras=true)
QRect | getImageRegion () const
DColor | getPixelColor (const QPoint &)
void | hoverEnterEvent (QGraphicsSceneHoverEvent *) override
void | hoverLeaveEvent (QGraphicsSceneHoverEvent *) override
QSize | imageSize ()
void | initOriginalImage ()
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override
void | paintExtraData (QPainter *const painter)
void | setHighLightPoints (const QPolygon &pointsList)
void | setRenderingPreviewMode (int mode)
void | setTargetImage (const DImg &img)
Public Member Functions inherited from Digikam::GraphicsDImgItem
| GraphicsDImgItem (QGraphicsItem *const parent=nullptr)
QRectF | boundingRect () const override
void | clearCache ()
DImg | image () const
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget) override
void | setDisplayWidget (QWidget *const widget)
void | setEnableOverExposure (bool b)
void | setEnableUnderExposure (bool b)
void | setImage (const DImg &img)
| Sets the DImg to be drawn by this item.
void | sizeHasChanged ()
virtual QString | userLoadingHint () const
ImageZoomSettings * | zoomSettings ()
const ImageZoomSettings * | zoomSettings () const

## Additional Inherited Members
Signals inherited from Digikam::GraphicsDImgItem
void | imageChanged ()
void | imageSizeChanged (const QSizeF &size)
void | showContextMenu (QGraphicsSceneContextMenuEvent *e)
Protected Member Functions inherited from Digikam::GraphicsDImgItem
| GraphicsDImgItem (GraphicsDImgItemPrivate &dd, QGraphicsItem *const parent)
void | contextMenuEvent (QGraphicsSceneContextMenuEvent *e) override
Protected Attributes inherited from Digikam::GraphicsDImgItem
GraphicsDImgItemPrivate *const | d_ptr